-- ServiceActors
INSERT INTO `ecpr2`.`ServiceActors` (`ServiceActorPID`,`PersonIdentifier`,`PersonIdentifierSource`,`FirstName`,`LastName`,`AuthorisationNumber`,`EducationCode`,`SpecialityCode`,`SpecialityCodeSource`,`OrganizationId`,`OrganizationIdSource`,`OrganizationName`,`HashValue`) VALUES (1,'2512484916','CPR','Fissirul','Lohman',null,null,null,null,null, null, null,0);
INSERT INTO `ecpr2`.`ServiceActors` (`ServiceActorPID`,`PersonIdentifier`,`PersonIdentifierSource`,`FirstName`,`LastName`,`AuthorisationNumber`,`EducationCode`,`SpecialityCode`,`SpecialityCodeSource`,`OrganizationId`,`OrganizationIdSource`,`OrganizationName`,`HashValue`) VALUES (2,'0102030123','CPR','Conan','Lurbakke','12J45','1234','45','Specialekode','1234', 'SOR', 'Aarhus Universitetshospital',0);

-- PersonalDataCards
INSERT INTO `ecpr2`.`PersonalDataCards` (`PersonalDataCardPID`,`PersonIdentifier`,`PersonIdentifierSource`,`Version`,`ModifiedDateTime`,`VersionDescription`,`ServiceActorPID`) VALUES (1,'2512484916','CPR',1,'2017-10-24 14:30:00','GetPersonalDataCard',1);
INSERT INTO `ecpr2`.`PersonalDataCards` (`PersonalDataCardPID`,`PersonIdentifier`,`PersonIdentifierSource`,`Version`,`ModifiedDateTime`,`VersionDescription`,`ServiceActorPID`) VALUES (2,'2512484916','CPR',2,'2017-10-24 14:31:00','UpdateContactInformation',1);
INSERT INTO `ecpr2`.`PersonalDataCards` (`PersonalDataCardPID`,`PersonIdentifier`,`PersonIdentifierSource`,`Version`,`ModifiedDateTime`,`VersionDescription`,`ServiceActorPID`) VALUES (3,'2512484916','CPR',3,'2017-10-24 14:32:10','CreateRelatives',1);
INSERT INTO `ecpr2`.`PersonalDataCards` (`PersonalDataCardPID`,`PersonIdentifier`,`PersonIdentifierSource`,`Version`,`ModifiedDateTime`,`VersionDescription`,`ServiceActorPID`) VALUES (4,'2512484916','CPR',4,'2017-10-24 14:33:20','CreateTemporaryAddress',1);
INSERT INTO `ecpr2`.`PersonalDataCards` (`PersonalDataCardPID`,`PersonIdentifier`,`PersonIdentifierSource`,`Version`,`ModifiedDateTime`,`VersionDescription`,`ServiceActorPID`) VALUES (5,'2512484916','CPR',5,'2017-10-24 14:34:20','UpdateRelatives',1);
INSERT INTO `ecpr2`.`PersonalDataCards` (`PersonalDataCardPID`,`PersonIdentifier`,`PersonIdentifierSource`,`Version`,`ModifiedDateTime`,`VersionDescription`,`ServiceActorPID`) VALUES (6,'2512484916','CPR',6,'2017-10-24 14:34:30','UpdateLanguage',1);
INSERT INTO `ecpr2`.`PersonalDataCards` (`PersonalDataCardPID`,`PersonIdentifier`,`PersonIdentifierSource`,`Version`,`ModifiedDateTime`,`VersionDescription`,`ServiceActorPID`) VALUES (7,'2512484916','CPR',7,'2017-10-24 14:34:45','CreateTemporaryAddress',2);

-- ContactInformations
INSERT INTO `ecpr2`.`ContactInformations` (`ContactInformationPID`,`PersonalDataCardPID`,`ValidFrom`,`ValidTo`,`Version`,`MobilePhone`,`HomePhone`,`WorkPhone`) VALUES (1,2,'2015-01-01 12:00:00','2017-10-24 14:31:00',1,'12345678',NULL,NULL);
INSERT INTO `ecpr2`.`ContactInformations` (`ContactInformationPID`,`PersonalDataCardPID`,`ValidFrom`,`ValidTo`,`Version`,`MobilePhone`,`HomePhone`,`WorkPhone`) VALUES (2,2,'2017-10-24 14:31:00','2500-01-01 00:00:00',2,'12345678',NULL,NULL);

-- Relatives
INSERT INTO `ecpr2`.`Relatives` (`RelativePID`,`PersonalDataCardPID`,`Uuid`,`Version`,`ValidFrom`,`ValidTo`,`RelationshipType`,`FirstName`,`LastName`,`StreetAddressLine1`,`StreetAddressLine2`,`StreetAddressLine3`,`StreetAddressLine4`,`PostalCode`,`City`,`Country`,`MobilePhone`,`HomePhone`,`WorkPhone`,`Note`) VALUES (1,3,'dc565d8b-cb87-4edf-9f43-02b996f73267',1,'2017-10-24 14:32:10','2017-10-24 14:34:20','forældre','Else','Jochomsen','Testvej 1',NULL,NULL,NULL,'1234','Testby','Danmark','50226711','98125342',NULL,NULL);
INSERT INTO `ecpr2`.`Relatives` (`RelativePID`,`PersonalDataCardPID`,`Uuid`,`Version`,`ValidFrom`,`ValidTo`,`RelationshipType`,`FirstName`,`LastName`,`StreetAddressLine1`,`StreetAddressLine2`,`StreetAddressLine3`,`StreetAddressLine4`,`PostalCode`,`City`,`Country`,`MobilePhone`,`HomePhone`,`WorkPhone`,`Note`) VALUES (2,3,'dc565d8b-cb87-4edf-9f43-02b996f73268',1,'2017-10-24 14:32:10','2500-01-01 00:00:00','forældre','Jens','Jochomsen','Testvej 1',NULL,NULL,NULL,'1234','Testby','Danmark','25782345','98125342',NULL,'Faren er i Afghanistan for tiden...');
INSERT INTO `ecpr2`.`Relatives` (`RelativePID`,`PersonalDataCardPID`,`Uuid`,`Version`,`ValidFrom`,`ValidTo`,`RelationshipType`,`FirstName`,`LastName`,`StreetAddressLine1`,`StreetAddressLine2`,`StreetAddressLine3`,`StreetAddressLine4`,`PostalCode`,`City`,`Country`,`MobilePhone`,`HomePhone`,`WorkPhone`,`Note`) VALUES (3,5,'dc565d8b-cb87-4edf-9f43-02b996f73267',2,'2017-10-24 14:34:20','2500-01-01 00:00:00','forældre','Else','Jochomsen','Testvej 1',NULL,NULL,NULL,'1234','Testby','Danmark',NULL,NULL,'70343332','Moren arbejder hos TDC og kan træffes på arbejdstelefon i dagtimerne ml. 8 og 16.');

-- TempAdresses
INSERT INTO `ecpr2`.`TempAddresses` (`TempAddressPID`,`PersonalDataCardPID`,`Uuid`,`Version`,`ValidFrom`,`ValidTo`,`StartingDate`,`EndingDate`,`StreetAddressLine1`,`StreetAddressLine2`,`StreetAddressLine3`,`StreetAddressLine4`,`PostalCode`,`City`,`Country`) VALUES (1,4,'5477653c-4c46-4f50-a566-591d677b5411',1,'2017-10-24 14:33:20','2017-10-24 14:34:45','2017-11-01','2017-12-28','Øster Hurupvej 53',NULL,NULL,NULL,'1234','Testby','Danmark');
INSERT INTO `ecpr2`.`TempAddresses` (`TempAddressPID`,`PersonalDataCardPID`,`Uuid`,`Version`,`ValidFrom`,`ValidTo`,`StartingDate`,`EndingDate`,`StreetAddressLine1`,`StreetAddressLine2`,`StreetAddressLine3`,`StreetAddressLine4`,`PostalCode`,`City`,`Country`) VALUES (2,7,'5477653c-4c46-4f50-a566-591d677b5442',1,'2017-10-24 14:34:45','2500-01-01 00:00:00','2017-10-27','2017-10-28','Gasværksvej 1',NULL,NULL,NULL,'1234','Testby','Danmark');
INSERT INTO `ecpr2`.`TempAddresses` (`TempAddressPID`,`PersonalDataCardPID`,`Uuid`,`Version`,`ValidFrom`,`ValidTo`,`StartingDate`,`EndingDate`,`StreetAddressLine1`,`StreetAddressLine2`,`StreetAddressLine3`,`StreetAddressLine4`,`PostalCode`,`City`,`Country`) VALUES (3,5,'5477653c-4c46-4f50-a566-591d677b5411',2,'2017-10-24 14:34:45','2500-01-01 00:00:00','2017-11-01','2017-12-28','Gasværksvej 1',NULL,NULL,NULL,'1234','Testby','Danmark');

-- Languages
INSERT INTO `ecpr2`.`Languages` (`LanguagePID`,`PersonalDataCardPID`,`Uuid`,`Version`,`ValidFrom`,`ValidTo`,`LanguageCode`) VALUES (1,6,'5477653c-4c46-4f50-a566-591d677b3456',1,'2015-01-01 12:00:00','2017-10-24 14:34:30','dk');
INSERT INTO `ecpr2`.`Languages` (`LanguagePID`,`PersonalDataCardPID`,`Uuid`,`Version`,`ValidFrom`,`ValidTo`,`LanguageCode`) VALUES (2,6,'5477653c-4c46-4f50-a566-591d677b3457',1,'2017-10-24 14:34:30','2500-01-01 00:00:00','de');
INSERT INTO `ecpr2`.`Languages` (`LanguagePID`,`PersonalDataCardPID`,`Uuid`,`Version`,`ValidFrom`,`ValidTo`,`LanguageCode`) VALUES (3,7,'5477653c-4c46-4f50-a566-591d677b3456',2,'2017-10-24 14:34:30','2500-01-01 00:00:00','en');

